<?php

/*	LibFox - Simple library for XML-based backends.
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of LibFox.

	LibFox is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	LibFox is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with LibFox.  If not, see <http://www.gnu.org/licenses/>. */

require_once 'lib/controller.php';
require_once 'dao/user_dao.php';

class user_ctl extends controller
{
	protected $mode = 'users';
	protected $model = 'user';
	protected $dao = 'user_dao';
	
	function __construct()
	{
		parent::__construct();
	}

	function update_password()
	{
		$user_dao = new user_dao();
		$user = $user_dao->fetch(get($user_dao->key));
		$user_dao->update_password($user,get('password'));
		return $this->show();
	}
	
}

?>