<?php

/*	Vulpes - Gateway Access Manager
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of Vulpes.

	Vulpes is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Vulpes is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Vulpes.  If not, see <http://www.gnu.org/licenses/>. */

require_once 'lib/lang_base.php';

abstract class lang extends lang_base
{
	const error				= 'Erro';
	const warning			= 'Aviso';
	const notification		= 'Notificação';
	const blocked			= 'Bloqueado';
	const changes_saved		= 'As mudanças forem salvos.';
	const current			= 'Atual';
	const in				= 'em';
	const ip				= 'Endereço IP';
	const liberated			= 'Liberado';
	const logout			= 'Logout';
	const login				= 'Login';
	const mac				= 'Endereço MAC';
	const name				= 'Nome';
	const not_found			= 'Não encontrado';
	const password			= 'Senha';
	const save_changes		= 'Salva modificações';
	const status			= 'Status';
	const username			= 'Login';
	const welcome_to_vulpes	= 'Bem vindo ao Vulpes';
	const changes_not_applied = 'Mudanças não forem efeituadas.';
	const monday			= 'Segunda-feira';
	const tuesday			= 'Terça-feira';
	const wednesday			= 'Quarta-feira';
	const thursday			= 'Quinta-feira';
	const friday			= 'Sexta-feira';
	const saturday			= 'Sabado';
	const sunday			= 'Domingo';
	const all				= 'Todos';
	const workday			= 'Segunda a sexta';
	const weekend			= 'Fim de semana';
	const client_doesnt_exist = 'Cliente não existe';
	const client_allready_exists = 'Cliente já existe';
	const cobranca			= 'Cobrança de mensalidade';
	const plan				= 'plano';
}

?>