<?php

/*	Vulpes - Gateway Access Manager
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of Vulpes.

	Vulpes is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Vulpes is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Vulpes.  If not, see <http://www.gnu.org/licenses/>. */

class changes
{
	/**
	 * Instance of the changes object.
	 *
	 * @var object
	 */
	private static $instance;
	public $changed = false;
	
	private function __construct() { }

	/**
	 * Returns instance of changes.
	 * 
	 * Returns the current instance, or creates and returns it
	 * if it doesn't exist yet.
	 *
	 * @return object
	 */
	public static function get_instance() {
		if (self::$instance === null) {
			self::$instance = new self;
		}
		return self::$instance;
	}
	
	public function mark($mode)
	{
		$this->changed = true;
		$this->$mode = true;
	}
}

?>