<?php

/*	LibFox - Simple library for XML-based backends.
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of LibFox.

	LibFox is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	LibFox is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with LibFox.  If not, see <http://www.gnu.org/licenses/>. */

class model
{
	private $dao;
	
	public function xml_iterate($key_name = false, $display = false)
	{
		if ($key_name) {
			$result = '<'.$key_name.'>';
		} else {
			$result = '';
		}

		foreach ($this as $key => $value)
		{
			if (!is_array($value) && !is_object($value)) {
				$result .= '<'.str_underline($key).'>' .$value. '</'.str_underline($key).'>';
			}
		}

/*		$result .= '<display>';
		foreach ($this as $key => $value) {
			if (is_object($value)) continue;
			$result .= '<property>';
			$result .= '<name>'.$key.'</name>';
			$result .= '<label>'.$key.'</label>';
			$result .= '<value>'.$value.'</value>';
			$result .= '</property>';
		}
		$result .= '</display>';*/

		if ($key_name) {
			$result .= '</'.$key_name.'>';
		}
 
		return $result;
	}

	public function get_request()
	{
		foreach ($this as $property => $value) {
			$var = get($property);
			if ($var !== false) {
				$this->$property = $var;
			}
		}
	}

	public function get_dao()
	{
		return $this->dao;
	}

	public function set_dao(&$dao)
	{
		$this->dao =& $dao;
	}
}

?>
