<?php

/*	Vulpes - Gateway Access Manager
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of Vulpes.

	Vulpes is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Vulpes is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Vulpes.  If not, see <http://www.gnu.org/licenses/>. */

require_once 'lib/dao.php';

class plan_dao extends dao
{
	public $key = 'plan_id';
	public $foreign_keys = 'account_id';
	protected $table = 'plans';
	protected $search_fields = 'plans.name';
	protected $delete_rel = 'schedules';
	public $order_by = 'name';
	public $group_by = 'plan_id';
	
	function __construct()
	{
		parent::__construct();
	}
}

?>