<?php

/*	Vulpes - Gateway Access Manager
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of Vulpes.

	Vulpes is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Vulpes is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Vulpes.  If not, see <http://www.gnu.org/licenses/>. */

require_once 'lib/lang_base.php';

abstract class lang extends lang_base
{
	const error				= 'Error';
	const warning			= 'Warning';
	const notification		= 'Notification';
	const blocked			= 'Blocked';
	const changes_saved		= 'Changes saved successfully.';
	const current			= 'Current';
	const in				= 'in';
	const ip				= 'IP Address';
	const liberated			= 'Liberated';
	const logout			= 'Logout';
	const login				= 'Login';
	const mac				= 'MAC Address';
	const name				= 'Name';
	const not_found			= 'Not found';
	const password			= 'Password';
	const save_changes		= 'Save changes';
	const status			= 'Status';
	const username			= 'Username';
	const welcome_to_vulpes	= 'Welcome to vulpes';
	const changes_not_applied = 'Changes not saved.';
	const monday			= 'Monday';
	const tuesday			= 'Tuesday';
	const wednesday			= 'Wednesday';
	const thursday			= 'Thursday';
	const friday			= 'Friday';
	const saturday			= 'Saturday';
	const sunday			= 'Sunday';
	const all				= 'All';
	const workday			= 'Weekdays';
	const weekend			= 'Weekend';
	const client_doesnt_exist = 'Client does not exists.';
	const client_allready_exists = 'Client allready exists.';
}

?>